TYPO3 Core - Bug #94771

Transfer to clipboard on page uid 0
2021-08-10 11:04 - Jochen Roth

Status: Closed Start date: 2021-08-10
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 11.4

TYPO3 Version: 11 Complexity:

PHP Version: 8.0 Is Regression:

Tags: Sprint Focus:

Description

Transfer to clipboard on uid 0 leads to undefined array key warning in PHP8

PHP Warning: Undefined array key "sortby" in /var/www/html/typo3/sysext/recordlist/Classes/RecordL

ist/DatabaseRecordList.php line 1914

Associated revisions

Revision 0d7ebcfe - 2021-08-10 12:14 - Jochen Roth
[BUGFIX] Fix undefined array key in DatabaseRecordList

When transferring a item to the clipboard on the root
page (uid=0), an undefined array key warning is thrown.

This is fixed by properly checking the array key.

Resolves: #94771

Releases: master

Change-1d: 12280468ee37b3fdeb264a384e6ec82f855a5476e
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/70392
Tested-by: Oliver Bartsch <bo@cedev.de>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Benni Mack <benni@typo3.org>

Reviewed-by: Oliver Bartsch <bo@cedev.de>

Reviewed-by: Benni Mack <benni@typo3.org>

History

#1 - 2021-08-10 11:07 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/70392

#2 - 2021-08-10 11:12 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/70392

#3 - 2021-08-10 11:12 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/70392

#4 - 2021-08-10 12:20 - Anonymous
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 0d7ebcfe002b7a4f3d8d7daca2a8c57a3b01209e.
#5 - 2021-09-07 07:39 - Benni Mack

- Status changed from Resolved to Closed

Files
